Api Keys
Header parameters
passwordstring · nullableOptional
The password header to use to fetch the preview
Body
Responses
200
Successful Response
application/json
idstring · uuidRequired
namestring · nullableRequired
previewstringRequired
user_idstring · uuidRequired
expires_atstring · date-time · nullableRequired
createdstring · date-timeRequired
404
Not found
422
Validation Error
application/json
get/api-keys
GET /api-keys HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"body": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"preview": "text",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"expires_at": "2026-01-01T00:00:00.000Z",
"created": "2026-01-01T00:00:00.000Z"
}
]Header parameters
passwordstring · nullableOptional
The password header to use to fetch the preview
Body
namestring · nullableOptional
A human-readable name for the API key
expires_atstring · date-time · nullableOptional
The date and time when the API key will expire
Responses
200
Successful Response
text/plain
stringOptional
404
Not found
422
Validation Error
application/json
post/api-keys
POST /api-keys HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"name": "text",
"expires_at": "2026-01-01T00:00:00.000Z",
"body": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}textPath parameters
api_key_idstring · uuidRequired
Header parameters
passwordstring · nullableOptional
The password header to use to fetch the preview
Body
Responses
200
Successful Response
application/json
anyOptional
404
Not found
422
Validation Error
application/json
delete/api-keys/{api_key_id}
DELETE /api-keys/{api_key_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"body": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}No content
Last updated
Was this helpful?

